module Paths_darcs_beta (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import qualified Control.Exception as Exception
import Data.Version (Version(..))
import System.Environment (getEnv)
catchIO :: IO a -> (Exception.IOException -> IO a) -> IO a
catchIO = Exception.catch


version :: Version
version = Version {versionBranch = [2,7,98,2], versionTags = []}
bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/home/ganesh/.cabal/bin"
libdir     = "/home/ganesh/.cabal/lib/darcs-beta-2.7.98.2/ghc-7.0.4"
datadir    = "/home/ganesh/.cabal/share/darcs-beta-2.7.98.2"
libexecdir = "/home/ganesh/.cabal/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catchIO (getEnv "darcs_beta_bindir") (\_ -> return bindir)
getLibDir = catchIO (getEnv "darcs_beta_libdir") (\_ -> return libdir)
getDataDir = catchIO (getEnv "darcs_beta_datadir") (\_ -> return datadir)
getLibexecDir = catchIO (getEnv "darcs_beta_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
